// Datei: EEPROM.C
//
// Lesen und schreiben des Daten EEPROM im PIC
//
// Copyright 1998 by Holger Klabunde
// 05.05.2001
// Compiler CC5x

#include "prozess.h"      /* Der verwendete Prozessor */

//Daten EEPROM Adresse 'addr' lesen
unsigned char Read_EEProm(unsigned char addr)
{
  EEADR = addr;     // Adresse in Register eintragen
  RD = 1;  // Do a 'read'
  return(EEDATA);   // Wert zurckgeben
}

//Schreibt ein Byte ins EEPROM
void Write_EEProm(unsigned char addr, unsigned char data)
{
  WREN = 1;  // Schreiben ermglichen

  EEDATA = data;    // data in EEDATA register
  EEADR = addr;     // addr in EEADR Adressregister

  RP0 = 1;   // Set page 1 fr EECON1, EECON2
  GIE=0;     // Interrupts aus

  EECON2=0x55;  // Writing 0x55 must be followed
  EECON2=0xAA;  // by writing 0xAA
  WR=1;         //schreiben des EEPROM starten
  
  GIE = 1;   // Enable interrupts
  EEIE=1;    // Interrupt bei EEPROM Write Complete
  RP0 = 0;   // Set page 0

  SLEEP;     //Interrupt bei EEPROM Write Complete weckt wieder auf
}
